From 9d13181604add79c7c640db2bf43d8feff348d6a Mon Sep 17 00:00:00 2001
From: Jingxian He <hejingxian@huawei.com>
Date: Tue, 24 Aug 2021 12:26:35 +0000
Subject: [PATCH 41/54] remove sigaction handler register in restorer

The sigaction handler register in restorer will change
the original sigaction handler of restoring app,
We need to remove them or recover them before resuming app.

Signed-off-by: Jingxian He <hejingxian@huawei.com>
---
 criu/pie/restorer.c | 20 --------------------
 1 file changed, 20 deletions(-)

diff --git a/criu/pie/restorer.c b/criu/pie/restorer.c
index d87236d..603cbee 100644
--- a/criu/pie/restorer.c
+++ b/criu/pie/restorer.c
@@ -1632,29 +1632,9 @@ long __export_restore_task(struct task_restore_args *args)
 		pr_err("Failed to set SIGCHLD %ld\n", ret);
 		goto core_restore_end;
 	}
-	ret = sys_sigaction(SIGSEGV, &act, NULL, sizeof(k_rtsigset_t));
-	if (ret) {
-		pr_err("Failed to set SIGCHLD %ld\n", ret);
-		goto core_restore_end;
-	}
-
-	ret = sys_sigaction(SIGBUS, &act, NULL, sizeof(k_rtsigset_t));
-	if (ret) {
-		pr_err("Failed to set SIGCHLD %ld\n", ret);
-		goto core_restore_end;
-	}
-
-	ret = sys_sigaction(SIGILL, &act, NULL, sizeof(k_rtsigset_t));
-	if (ret) {
-		pr_err("Failed to set SIGCHLD %ld\n", ret);
-		goto core_restore_end;
-	}
 
 	ksigemptyset(&to_block);
 	ksigaddset(&to_block, SIGCHLD);
-	ksigaddset(&to_block, SIGSEGV);
-	ksigaddset(&to_block, SIGBUS);
-	ksigaddset(&to_block, SIGILL);
 	ret = sys_sigprocmask(SIG_UNBLOCK, &to_block, NULL, sizeof(k_rtsigset_t));
 	if (ret) {
 		pr_err("Failed to unblock SIGCHLD %ld\n", ret);
-- 
2.33.1

